Skip to main content
POST
Connect external issue

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

id
string
required

The unique identifier of the incident

Example:

"01G18REBY9AYH6CMWCJ2CVCYCH"

Body

application/json
issue_template_id
string
required

ID of the incident ticket template to sync the issue with

Example:

"01GBA8J19SMXQWPJMX3P2ESCVG"

provider
enum<string>
required

The issue tracker provider the issue belongs to. It must match the provider of the incident ticket template.

Available options:
asana,
azure_devops,
click_up,
freshservice,
linear,
jira,
salesforce,
jira_server,
github,
gitlab,
service_now,
shortcut,
notion
Example:

"jira"

url
string
required

URL of the issue in the issue tracker

Example:

"https://example.atlassian.net/browse/OPS-42"

replace
boolean
default:false

Whether to replace the incident's current external issue, if it has a different one

Example:

false

Response

No Content response.